org.apache.hc.client5.http.nio

## Interface ManagedAsyncClientConnection

All Superinterfaces:
  AutoCloseable, Closeable, org.apache.hc.core5.io.GracefullyCloseable, org.apache.hc.core5.http.HttpConnection, org.apache.hc.core5.reactor.ssl.TransportSecurityLayer

    @Internal
    public interface ManagedAsyncClientConnection
    extends org.apache.hc.core5.http.HttpConnection, org.apache.hc.core5.reactor.ssl.TransportSecurityLayer

### Method Summary

Methods
`void` `activate()` Restores the connection from idle mode.
`void` `passivate()` Puts the connection into idle mode.
`void` `submitCommand(org.apache.hc.core5.reactor.Command command)`
`void` `submitPriorityCommand(org.apache.hc.core5.reactor.Command command)`

### Methods inherited from interface org.apache.hc.core5.http.HttpConnection

`close, getEndpointDetails, getLocalAddress, getProtocolVersion, getRemoteAddress, getSocketTimeout, getSSLSession, isOpen, setSocketTimeout`

### Methods inherited from interface org.apache.hc.core5.io.GracefullyCloseable

`shutdown`

### Methods inherited from interface org.apache.hc.core5.reactor.ssl.TransportSecurityLayer

`getTlsDetails, startTls`

### Method Detail

#### submitPriorityCommand

    void submitPriorityCommand(org.apache.hc.core5.reactor.Command command)

#### submitCommand

    void submitCommand(org.apache.hc.core5.reactor.Command command)

#### passivate

    void passivate()

Puts the connection into idle mode.

#### activate

    void activate()

Restores the connection from idle mode.